//! Nostr relayer
//!
//! This is a generic relayer crate for the Nostr protocol.
//!
//! This relayer has the ability to integrate optionally with a client Pool to
//! repost notes and to subscribe to their notes.
//!
//! The relayer can also be integrate with a nostr storage crate, to persist
//! notes and serve subscribers from the storage, not only from real time
//! updates.
#![deny(missing_docs, warnings)]

mod connection;
mod error;
mod relayer;

pub use self::{
    connection::{Connection, ConnectionId, LocalConnection},
    error::Error,
    relayer::Relayer,
};
